bioperl (1.6.924-1) unstable; urgency=medium

  * New upstream release.

 -- Charles Plessy <plessy@debian.org>  Sun, 13 Jul 2014 19:16:01 +0900

bioperl (1.6.923-1) unstable; urgency=medium

  * New upstream release.
  * Does not need non-free libmath-random-perl anymore.
  * Build-depend on libmodule-build-perl (>= 0.420000).  Despite Lintian's
    warning that it is useless, the package does not build without.
  * Conforms to Policy version 3.9.5.

 -- Charles Plessy <plessy@debian.org>  Sat, 18 Jan 2014 11:41:11 +0900

bioperl (1.6.922-1) unstable; urgency=low

  * New upstream release.
  * Replaces and Breaks grinder (<< 0.5.3-3~) because of overlaping contents.
    Closes: #722910
  * Stop Replacing and Breaking bioperl ( << 1.6.9 ): not needed anymore. 

 -- Charles Plessy <plessy@debian.org>  Sun, 22 Sep 2013 13:39:48 +0900

bioperl (1.6.920-1) unstable; urgency=low

  * New upstream release (Closes: #720776)
  * Adjusted Depends and Recommends (4 additions).
  * Removed patch ‘fix_berkeleydb3_temp_file_creation’ applied upstream.
  * Use canonical VCS URLs. 

 -- Charles Plessy <plessy@debian.org>  Sun, 08 Sep 2013 20:56:00 +0900

bioperl (1.6.901-4) unstable; urgency=low

  * debian/upstream: Add additional citation data
  [ Olivier Sallou ]
  * add missing dependency
  * Switch to standards 3.9.4

 -- Andreas Tille <tille@debian.org>  Tue, 08 May 2012 23:06:09 +0200

bioperl (1.6.901-3) unstable; urgency=low

  * Team upload.
    [ Olivier Sallou ]
    + add patch fix_berkeleydb3_temp_file_creation (Closes: #661793).
      Fixed upstream for next release. 
    * debian/control: update Standards version
    * debian/copyright: update Format to latest officiel URL v1.0
    * debian/patches/fix_examples_perl_location: fix wrong perl location
    * debian/rules: fix file access rights in dh_install

 -- Olivier Sallou <osallou@debian.org>  Fri, 02 Mar 2012 11:10:36 +0100

bioperl (1.6.901-2) unstable; urgency=low

  [ Luca Capello ]
  * debian/control:
    + add Recommends: to some libraries already in libbio-perl-perl's
      for binaries showing help output (Closes: #650412).
  * debian/README.Debian:
    + new file with a more detailed explanation about the above.

  [ Andreas Tille ]
  * debian/source/format: 3.0 (quilt)
  * Added myself to Uploaders

 -- Andreas Tille <tille@debian.org>  Wed, 14 Dec 2011 09:11:41 +0100

bioperl (1.6.901-1) unstable; urgency=low

  * New upstream release.
  * Point debian/watch to search.cpan.org.
  * Build using dh and overrides:
    - Use Debhelper 8 (debian/rules, debian/control).
    - Simplified debian/rules.
  * Split into libbio-perl-perl, as discussed with the Debian Perl team.
    (debian/control, debian/bioperl.install, debian libbio-perl-perl.install)
  * debian/control:
    - Incremented Standards-Version to reflect conformance with Policy 3.9.2.
      No other changes needed.
    - Vcs-Browser URL made redirectable to viewvc.
    - Removed useless ‘svn’ in the Vcs-Svn URL.

 -- Charles Plessy <plessy@debian.org>  Fri, 17 Jun 2011 13:51:18 +0900

bioperl (1.6.1-2) unstable; urgency=low

  * Removed bibliographic information from the long description
    (debian/control).
  * Incremented Standards-Version to reflect conformance with Policy 3.8.4
    (debian/control, no changes needed).
  * Build-depends on libxml-sax-expatxs-perl to avoid downloading DTDs during
    the tests and therefore fail when network is not available
    (debian/control, Closes: #562442).
  * Depend on the ${misc:Depends} substvar (debian/control).

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Feb 2010 23:52:23 +0900

bioperl (1.6.1-1) unstable; urgency=low

  * New upstream release with new features and many corrections in the
    test suite (Closes: #533976).
  * debian/rules: trigger network tests with DEB_MAINTAINER_MODE.
  * debian/control:
    - Build-depend on perl-modules >= 5.10.1 to have ExtUtils::Manifest 1.52 or
      higher, and on libtest-pod-perl.
    - Added liblist-moreutils-perl, libspreadsheet-writeexcel-perl,
      libsvg-perl, and libxml-simple-perl, libdbd-pg-perl, libdbd-mysql-perl,
      libdbd-sqlite3-perl to build and package dependencies (needed by some
      components of Bioperl, and therefore for the tests).

 -- Charles Plessy <plessy@debian.org>  Wed, 30 Sep 2009 18:56:42 +0900

bioperl (1.6.0-3) unstable; urgency=low

  [ David Paleino ]
  * Removed myself from Uploaders

  [ Charles Plessy ]
  * debian/control:
    - Added libdata-stag-perl in bioperl’s Depends field, since it is
      required in Build.PL.
    - Added libxml-simple-perl in bioperl’s Recommends and Build-Depends
      fields, since they are listed in DEPENDENCIES.
    - Incremented Standards-Version to reflect conformance with Policy 3.8.3
      (no changes needed).
  * Collected some informations in debian/upstream-metadata.yaml.

 -- Charles Plessy <plessy@debian.org>  Fri, 18 Sep 2009 20:23:51 +0900

bioperl (1.6.0-2) unstable; urgency=low

  * Removed patch system (not used):
    - removed instructions in debian/rules;
    - removed quilt from Build-Depends in debian/control.
  * Re-enabled tests:
    - uncommented test command in debian/rules;
    - uncommented previously missing build-dependencies in debian/control.
    - Re-enabled tests and uncommented build-dependencies accordingly.
  * Removed libmodule-build-perl and libtest-harness-perl from
    Build-Depends-Indep (provided by perl-modules).
  * Better cleaning of empty directories using find -type d -empty -delete
    instead of rmdir in debian/rules (LP: #324001).

 -- Charles Plessy <plessy@debian.org>  Tue, 10 Mar 2009 07:19:11 +0100

bioperl (1.6.0-1) experimental; urgency=low

  [ Charles Plessy ]
  * debian/control
    - Updated dependencies according to the new upstream release.
    - Added the CPAN dependencies of BioPerl to Build-Depends-Indep in order to
      run the tests at build time.
    - Added bioperl-run to the recommended packages.
    - Updated my email address.
    - Uses Debhelper 7 (debian/compat modified accordingly).
  * debian/patches: removed as not needed (no downloads by default).
  * debian/rules:
    - Uses Build.PL instead of Makefile.PL.
    - Tests disabled for the experimental upload: not all dependencies are
      available yet.
  * debian/README.{Debian,source}: removed as not needed anymore
  * debian/watch: BioPerl is now mixed case.

  [ David Paleino ]
  * New upstream stable release:
    - fixes Bio::AlignIO::next_aln bug (Closes: #266921).
    - New modules, deprecated modules,… please consult Upstream documents in
      /usr/share/doc/bioperl.
  * debian/control:
    - fields values rewrapped to easily spot diffs in commit mails
    - dropped B-D-I versioning on perl, since Etch already has a greater 
      version
    - Standards-Version bumped to 3.8.0 (no changes needed).

 -- Charles Plessy <plessy@debian.org>  Mon, 26 Jan 2009 12:58:28 +0900

bioperl (1.5.2.102-3) unstable; urgency=low

  * debian/control:
    - Removed MIA Matt Hope (dopey) from the Uploaders field.
      Thank you for your work, Matt. I hope you are doing well.
    - Downgraded some recommended package to the 'Suggests' priority,
      according to the following discussion on Upstream's mail list.
      http://bioperl.org/pipermail/bioperl-l/2008-March/027379.html
      (Closes: #448890)
  * debian/copyright converted to machine-readable format.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Tue, 18 Mar 2008 14:44:57 +0900

bioperl (1.5.2.102-2) unstable; urgency=low

  [ Steffen Moeller ]
  * Added reference to libsvg-graph-perl (Closes: #342475).

  [ Nelson A. de Oliveira ]
  * debian/control:
    - Removed the XS- prefix from Vcs-Browser and Vcs-Svn
    - Moved debhelper and quilt from Build-Depends-Indep to Build-Depends
  * Updated debian/copyright

  [ David Paleino ]
  * debian/control:
    - updated Recommends (libpostscript-textblock-perl won't exist -
      the package will be named libpostscript-perl)
    - fields wrapped at around 80 columns
    - added myself to Uploaders
    - added libio-string-perl to Build-Depends-Indep (Closes: #453923)
    - fixed Vcs-* fields
    - removed XS- from DM-Upload-Allowed
  * debian/changelog:
    - fixing incorrect first line (leading tab)
  * debian/rules updated
  * debian/dirs removed (passing arguments to dh_installdirs directly)

 -- David Paleino <d.paleino@gmail.com>  Wed, 06 Feb 2008 12:01:15 +0100

bioperl (1.5.2.102-1) unstable; urgency=low

  * Developer release.
  * Upgraded source package to debhelper 5 and standards-version 3.7.2.
  * Added libmodule-build-perl and libtest-harness-perl to
    build-depends-indep.
  * Disabled automatic CPAN download.
  * Using quilt instead of .diff.gz to manage modifications.
  * Updated Recommends list for the binary package.
  * Moved the "production-quality" scripts to /usr/bin/.
  * New maintainer: Debian-Med packaging team mailing list.
  * New uploaders: Charles Plessy and Steffen Moeller.
  * Updated Depends, Recommends and Suggests.
  * Imported in Debian-Med's SVN repository on Alioth.
  * Executing the regression tests during package building.
  * Moved the Homepage: field out from the package's description.
  * Updated watch file.

 -- Charles Plessy <charles-debian-nospam@plessy.org>  Fri, 21 Sep 2007 22:52:22 +0900

bioperl (1.4-1) unstable; urgency=low

  * New upstream release
  * Examples and working code are installed by default to usr/bin,
    this has been moved to usr/share/doc/bioperl/bin

 -- Matt Hope <matth@bioinformatics.unsw.edu.au>  Sun, 18 Apr 2004 14:24:11 +1000

bioperl (1.2.1-2) unstable; urgency=low

  * Updated dependencies to libgd-gd2-perl
    (Closes: Bug#192210)
  * Same maintainer, different email address

 -- Matt Hope <matth@bioinformatics.unsw.edu.au>  Mon, 30 Jun 2003 23:40:59 +1000

bioperl (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Added more Depends/Recommends.
  * Added Depend: libio-string-perl
    (Closes: Bug#188395)

 -- Matt Hope <dopey@debian.org>  Sat,  3 May 2003 01:21:54 +1000

bioperl (1.2-1) unstable; urgency=low

  * New upstream release

 -- Matt Hope <dopey@debian.org>  Fri, 25 Apr 2003 12:30:10 +1000

bioperl (1.0.2-1) unstable; urgency=low

  * *Another* new upstream release.

 -- Matt Hope <dopey@debian.org>  Wed, 17 Jul 2002 09:58:09 +1000

bioperl (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Matt Hope <dopey@debian.org>  Sat, 29 Jun 2002 22:35:08 +1000

bioperl (1.0-1) unstable; urgency=low

  * New upstream release

 -- Matt Hope <dopey@debian.org>  Wed, 20 Mar 2002 01:16:30 +1100

bioperl (0.7.2-1) unstable; urgency=low

  * New upstream release.
  * Adopted by new maintainer; closes: #100208
  * Fixed lintian errors.

 -- Matt Hope <dopey@quickstix.com.au>  Thu, 22 Nov 2001 19:31:26 +1100

bioperl (0.7.1-1) unstable; urgency=low

  * Maintainer set to Debian QA Group <packages@qa.debian.org>.
  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 24 Aug 2001 20:47:57 +0200

bioperl (0.7.0-1) unstable; urgency=low

  * New upstream release; closes: #44245

 -- Dr. Guenter Bechly <gbechly@debian.org>  Sat,  5 May 2001 18:35:44 +0200

bioperl (0.05.1-3) unstable; urgency=low

  * Fixed compliance with perl policy; closes: #95880, #95418 

 -- Dr. Guenter Bechly <gbechly@debian.org>  Tue,  1 May 2001 08:13:09 +0200

bioperl (0.05.1-2) unstable; urgency=low

  * Adopted by new maintainer; closes: #92806
  * Updated to latest standards version and added Build-Depends (changed
    control, copyright, dirs, docs, and rules);
    closes: #70154, #91121, #91397
  * Fixed some lintian errors in rules.
  * Moved package to section non-free/science, because it is a tool that
    is exclusively useful for molecular biologists.

 -- Dr. Guenter Bechly <gbechly@debian.org>  Fri, 20 Apr 2001 19:48:05 +0200

bioperl (0.05.1-1) unstable; urgency=low

  * Complies with the new Perl policy. Closes #40564
  * New upstream release

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed,  7 Jul 1999 14:49:16 +0200

bioperl (0.05-1) unstable; urgency=low

  * Initial Release.

 -- Stephane Bortzmeyer <bortzmeyer@debian.org>  Wed, 19 May 1999 11:35:30 +0200
